Ethereum

Ethereum endpoints

Supported methods for Ethereum. Please note that to use these methods you must specify both the API token, eth in this case, and the network on which you want to make the call. For example, if you want to know the balance of a Bitcoin Cash address in the main network, the corresponding endpoint is as follows: http://server/eth/mainnet/getAddressBalance

Return the balance of any address

post

Return the balance of any address

Body
addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
Responses
chevron-right
200

Successful response

application/json

Ethreum address balance

addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
post
/getAddressBalance
200

Successful response

Return the balance of an array of addresses

post

Return the balance of an array of addresses

Body
addressesstring[]Required

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
Responses
chevron-right
200

Successful response

application/json

Ethreum address balance

addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
post
/getAddressesBalance
200

Successful response

Returns latest block hash and index

post

Returns latest block hash and index

Body
objectOptional
Responses
chevron-right
200

Successful response

application/json
latestBlockHashstringRequired

Latest block hash

Example: 0x6403b287ab8bd587cd9e07c3d2ca62269f19dfb7c195892980f14d71fefa7cdd
latestBlockIndexstringRequired

Ethereum block height

Example: 1
post
/getHeight
200

Successful response

Returns the current price per gas in wei.

post

Returns the current price per gas in wei.

Body
objectOptional
Responses
chevron-right
200

Successful response

application/json
gasPricestringRequired

Ethereum gas price

Example: 7982291
post
/getGasPrice
200

Successful response

Returns if blockchain is syncing

post

Returns True if blocks are syncing and returns False if theres no synchronization or is fully sychronize

Body
objectOptional
Responses
chevron-right
200

Successful response

application/json
syncingbooleanRequired

False if not syncing or fully synchronized

Example: false
syncPercentagestringOptional

Percentage of Synchonization

Example: 6.905658629231632%
currentBlockIndexstringOptional

Ethereum block height

Example: 1
latestBlockIndexstringOptional

Ethereum block height

Example: 1
post
/syncing
200

Successful response

Broadcast a transaction to the network

post

Broadcast a transaction to the network

Body
rawTransactionstringRequired

The transaction hash in hex

Example: 0xd46e8dd67c5d32be8d46e8dd67c5d32be8058bb8eb970870f072445675058bb8eb970870f072445675
Responses
chevron-right
200

Successful response

application/json
broadcastedstringRequired

The transaction hash, or the zero hash if the transaction is not yet available

Example: 0xe670ec64341771606e55d6b4ca35a1a6b75ee3d5145a99d05921026d1527331
post
/broadcastTransaction
200

Successful response

Generates and returns an estimate of how much gas is necessary to allow the transaction to complete

post

The transaction will not be added to the blockchain. Note that the estimate may be significantly more than the amount of gas actually used by the transaction, for a variety of reasons including EVM mechanics and node performance.

Body
Responses
chevron-right
200

Successful response

application/json
estimatedGasstringRequired

Estimated gas for the transaction execution

Example: 7982291
post
/estimateGas
200

Successful response

Returns the information of any block giving its hash

post

Returns the information of any block giving its hash

Body
blockHashstringRequired

A string representing the hash (32 bytes) of a block

Example: 0x6403b287ab8bd587cd9e07c3d2ca62269f19dfb7c195892980f14d71fefa7cdd
verboseinteger · enumOptional

Verbosity mode. With 2 value, transactions inside the block are returned completly, otherwise, only transactions hash will be returned

Default: 2Example: 2Possible values:
Responses
chevron-right
200

Successful response

application/json
post
/getBlockByHash
200

Successful response

Returns the information of any block giving its height

post

Returns the information of any block giving its height

Body
blockNumberstringRequired

Ethereum block height. Supports the param latest to get the last block of the chain. The param can be in decimal or hexadecimal format

Example: 0x1
verboseinteger · enumOptional

Verbosity mode. With 2 value, transactions inside the block are returned completly, otherwise, only transactions hash will be returned

Default: 2Example: 2Possible values:
Responses
chevron-right
200Success
application/json
post
/getBlockByNumber
200Success

Returns the number of success/pending transactions of any address

post

Returns the number of success/pending transactions of any address

Body
addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
pendingbooleanRequired

True to get pending blocks

Example: true
Responses
chevron-right
200Success
application/json
transactionCountintegerRequired

Number of transactions

Example: 0
post
/getAddressTransactionCount
200Success

Returns the number of success/pending transactions of an array of addresses

post

Returns the number of success/pending transactions of an array of addresses

Body
Responses
chevron-right
200Success
application/json
transactionCountstringRequired

Number of transactions

Example: 0
post
/getAddressesTransactionCount
200Success

Returns the receipt of a transaction by transaction hash

post

Returns the receipt of a transaction by transaction hash

Body
txHashstringRequired

Hash of the transaction

Example: 0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f
Responses
chevron-right
200Success
application/json
transactionHashstringOptional

Hash of the transaction

Example: 0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f
transactionIndexstringOptional

Integer of the transactions index position in the block

Example: 0x1
blockHashstringOptional

32 Bytes - hash of the block where this transaction was in

Example: 0x6403b287ab8bd587cd9e07c3d2ca62269f19dfb7c195892980f14d71fefa7cdd
blockNumberstringOptional

Ethereum block height

Example: 0x1
fromstringOptional

Ethereum sender address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
tostringOptional

Ethereum receipt address. Null when the transaction is a contract creation transaction

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
cumulativeGasUsedstringOptional

The total amount of gas used when this transaction was executed in the block

Example: 0x79ccd3
gasUsedstringOptional

The amount of gas used by this specific transaction alone

Example: 0x79ccd3
contractAddressstringOptional

20 Bytes - The contract address created, if the transaction was a contract creation, otherwise - null

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
logsBloomstringOptional

Bloom filter for light clients to quickly retrieve related logs

Example: 0x4848112002a2020aaa0812180045840210020005281600c80104264300080008000491220144461026015300100000128005018401002090a824a4150015410020140400d808440106689b29d0280b1005200007480ca950b15b010908814e01911000054202a020b05880b914642a0000300003010044044082075290283516be82504082003008c4d8d14462a8800c2990c88002a030140180036c220205201860402001014040180002006860810ec0a1100a14144148408118608200060461821802c081000042d0810104a8004510020211c088200420822a082040e10104c00d010064004c122692020c408a1aa2348020445403814002c800888208b1
post
/getTransactionReceipt
200Success

Returns the transaction info given its transaction hash

post

Returns the transaction info given its transaction hash

Body
txHashstringRequired

Hash of the transaction

Example: 0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f
Responses
chevron-right
200Success
application/json
post
/getTransaction
200Success

Returns the transactions info of an array of transactions hash

post

Returns the transactions info of an array of transactions hash

Body
txHashesstring[]Required

Hash of the transaction

Example: 0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f
Responses
chevron-right
200Success
application/json
post
/getTransactions
200Success

Executes a new message call immediately without creating a transaction on the block chain

post

Executes a new message call immediately without creating a transaction on the block chain

Body
blockNumberone ofRequired
string · enumOptionalExample: latestPossible values:
or
stringOptionalPattern: [0-9]
Responses
chevron-right
200Success
application/json
datastringOptional

The return value of executed contract

Example: 0xd46e8dd67c5d32be8d46e8dd67c5d32be8058bb8eb970870f072445675058bb8eb970870f072445675
post
/call
200Success

Get transaction history of an address

post

Get transaction history of an address

Body
addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
Responses
chevron-right
200Success
application/json
addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
txHashesstring[]Optional

Hash of the transaction

Example: 0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f
post
/getAddressHistory
200Success

Get transaction history of an array of address

post

Get transaction history of an array of addresses

Body
addressesstring[]Optional

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
Responses
chevron-right
200Success
application/json
addressstringRequired

Ethereum address

Example: 0x625ACaEdeF812d2842eFd2Fb0294682A868455bd
txHashesstring[]Optional

Hash of the transaction

Example: 0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f
post
/getAddressesHistory
200Success

Returns the status of the transaction indexing process.

post

Returns the status of the transaction indexing process.

Body
objectOptional
Responses
chevron-right
200Success
application/json
indexingbooleanRequired

Indexing process is running

Example: true
indexingPercentagestringRequired

Percentage of the indexing process

Example: 6.905658629231632%
currentBlockIndexstringRequired

Last block indexed

Example: 1
latestBlockIndexstringRequired

Last block known by the node

Example: 1
post
/indexing
200Success

Last updated